# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-geoclue
%define fedora 19
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:          python-module-geoclue
Version:       0.1.0
Release:       alt1_6
Summary:       A Geoclue python module

Group:         Development/Python
License:       GPLv3+
URL:           http://live.gnome.org/gtg/soc/python_geoclue
Source0:       http://www.paulocabido.com/soc/%{oldname}/%{oldname}-%{version}.tar.gz

BuildArch:     noarch 
BuildRequires: python-devel
BuildRequires: libgeoclue-devel
BuildRequires: python-module-dbus
BuildRequires: python-module-pygobject python-module-pygobject-devel
Requires: libgeoclue
Source44: import.info

%description
This Python module uses the Geoclue D-Bus API to implement a nice API for python
developers and facilitate their life.

%prep
%setup -q -n %{oldname}

# remove execute bits on text files
chmod -x AUTHORS LICENSE

%build
python setup.py build

%install
python setup.py install --skip-build --root %{buildroot}

%files
%doc LICENSE AUTHORS docs
%{python_sitelibdir_noarch}/Geoclue
%{python_sitelibdir_noarch}/python_geoclue-0.1.0-py2.7.egg-info

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_6
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_5
- initial fc import

